1. API reference
  2. Channels

List channels

GEThttps://howdybell.com/api/v1/channels

Returns a list of communication channels for the specified location. The results are ordered by channel kind and then by ID. Each channel includes its ID, kind, name, address, status, and email addresses.

Parameters

  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

Responses

200

  • dataarray of string
RequestcURL
curl -X GET "https://howdybell.com/api/v1/channels?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "data": [
    {
      "id": 7,
      "kind": "call",
      "name": "Phone calls",
      "address": "calls:1",
      "status": "active",
      "created_at": "2026-09-29T00:18:20.000000Z"
    },
    {
      "id": 3,
      "kind": "email",
      "name": "Sales inbox",
      "address": "[email protected]",
      "status": "active",
      "created_at": "2026-09-28T17:21:26.000000Z",
      "inbound_address": "[email protected]",
      "outbound_address": "[email protected]"
    }
  ]
}
List channels (GET /api/v1/channels) | HowdyBell Developers